%define python3_pkgversion 3.11

# Created by pyp2rpm-3.3.3
%global pypi_name ansible-builder

Name:           python-%{pypi_name}
Version:        3.0.1
Release:        1.0.4%{?dist}
Summary:        A tool for building Ansible Execution Environments

License:        Apache-2.0
URL:            https://github.com/ansible/ansible-builder/
Source0:        https://files.pythonhosted.org/packages/source/a/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
Source1:        assemble
Source2:        get-extras-packages
Source3:        install-from-bindep
Source4:        setup.py
Patch0001:      0001-OLAM-357-Add-patch-to-copy-introspect-script-into-bu.patch
BuildArch:      noarch

BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_pkgversion}-setuptools
BuildRequires:  python%{python3_pkgversion}-rpm-macros
BuildRequires:  python%{python3_pkgversion}-pbr

%description
%{summary}


%package -n     python%{python3_pkgversion}-%{pypi_name}
Summary:        %{summary}
Requires:       docker
%{?python_provide:%python_provide python%{python3_pkgversion}-%{pypi_name}}
Requires:       python%{python3_pkgversion}-PyYAML
Requires:       python%{python3_pkgversion}-requirements-parser
Requires:       python%{python3_pkgversion}-setuptools
Requires:       python%{python3_pkgversion}-bindep
Requires:       python%{python3_pkgversion}-jsonschema
%if 0%{?!scl:1}
Obsoletes:      python3-%{pypi_name} < %{version}-%{release}
%endif
%if 0%{?rhel} == 8
Obsoletes:      python38-%{pypi_name} < %{version}-%{release}
Obsoletes:      python39-%{pypi_name} < %{version}-%{release}
%endif


%description -n python%{python3_pkgversion}-%{pypi_name}
%{summary}


%prep
%autosetup -n %{pypi_name}-%{version} -p1

%build
install -m 644 %{SOURCE4} %{_builddir}/%{pypi_name}-%{version}
ln -s %{_builddir}/%{pypi_name}-%{version}/src/ansible_builder %{_builddir}/%{pypi_name}-%{version}/ansible_builder
%py3_build

%install
%py3_install
%{__mkdir_p} $RPM_BUILD_ROOT/usr/local/bin
install -m 755 %{SOURCE1} $RPM_BUILD_ROOT/usr/local/bin/
install -m 755 %{SOURCE2} $RPM_BUILD_ROOT/usr/local/bin/
install -m 755 %{SOURCE3} $RPM_BUILD_ROOT/usr/local/bin/

rm -rf $RPM_BUILD_ROOT/%{python3_sitelib}/test

%files -n python%{python3_pkgversion}-%{pypi_name}
%license LICENSE.md
%doc README.md
%{_bindir}/ansible-builder
%{python3_sitelib}/ansible_builder
%{python3_sitelib}/ansible_builder-%{version}-py%{python3_version}.egg-info
/usr/local/bin/*

%changelog
* Fri Oct 04 2024 Carlos Heiras <carlos.heiras@oracle.com> - 3.0.1-1.0.4
- OLAM-407: Obsoletes python39-ansible-builder package

* Thu Sep 19 2024 Rafael Barron <rafael.barron@oracle.com> - 3.0.1-1.0.3
- OLAM-357: Add patch to copy introspect script into builder image

* Fri Sep 13 2024 Rafael Barron <rafael.barron@oracle.com> - 3.0.1-1.0.2
- OLAM-357: Add python-jsonschema dependency

* Thu Jul 18 2024 Craig Guiller <craig.guiller@oracle.com> - 3.0.1-1.0.1
- Update to 3.0.1
- Rebuild with python 3.11
- Modify the project to be buildable without pyproject toolset

* Wed Apr 05 2023 Lans Hung <lans.hung@oracle.com> - 1.2.0-1.0.5
- Add docker as runtime dependency

* Wed Mar 22 2023 Stoil Barzakov <stoil.barzakov@oracle.com> - 1.2.0-1.0.4
- Fix image script paths

* Wed Mar 08 2023 Alex Burmashev <alexander.burmashev@oracle.com> - - 1.2.0-1.0.3
- Also bundle image builder scripts

* Tue Jan 24 2023 Stoil Barzakov <stoil.barzakov@oracle.com> - 1.2.0-1.0.2
- Update required dependencies

* Tue Jan 17 2023 Alex Burmashev <alexander.burmashev@oracle.com> - - 1.2.0-1.0.1
- Update dependencies
- Rebuild on python39

* Tue Nov 15 2022 Qing Lin <qing.lin@oracle.com> - 1.2.0-1
- Update to 1.2.0

* Tue May 10 2022 Yanis Guenane <yguenane@redhat.com> - 1.0.1-4
- Obsolete the old Python 3.8 package for smooth upgrade

* Fri Apr 22 2022 Yanis Guenane <yguenane@redhat.com> - 1.0.1-3
- Build against python 3.9

* Wed Sep 29 2021 Evgeni Golov - 1.0.1-2
- Obsolete the old Python 3.6 package for smooth upgrade

* Fri Sep 10 2021 Evgeni Golov - 1.0.1-1
- Release python-ansible-builder 1.0.1

* Mon Sep 06 2021 Evgeni Golov - 0.2.2-2
- Build against Python 3.8

* Thu Nov 05 2020 Evgeni Golov - 0.2.2-1
- Initial package.
